﻿@model SYM.DataAccessLayer.user_profile
@{
    ViewBag.Title = "Profile Settings";
    ViewBag.Page = "Profile Settings";
}

@section customCss4Page{
    <link href="~/Content/themes/m1/assets/pages/css/profile.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/themes/m1/assets/pages/css/tasks.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/themes/m1/assets/global/plugins/bootstrap-select/css/bootstrap-select.min.css" rel="stylesheet" type="text/css" />
}
<!-- BEGIN PAGE CONTENT-->
<div class="row">
    <div class="col-md-12">
        @Html.Partial("/Views/Profile/Partial/_ProfileSideBar.cshtml", Model)
        <!-- BEGIN PROFILE CONTENT -->
        <div class="profile-content">
            <div class="row">
                <div class="col-md-12">
                    <div class="portlet light">
                        <div class="portlet-title tabbable-line">
                            <div class="caption caption-md">
                                <i class="icon-globe theme-font hide"></i>
                                <span class="caption-subject font-blue-madison bold uppercase">@SYM.Localization.Resources.Views.Profile.Settings.AccountSettings</span>
                            </div>
                            <ul class="nav nav-tabs">
                                <li class="active">
                                    <a href="#tab_1_1" data-toggle="tab">@SYM.Localization.Resources.Views.Profile.Settings.PersonalInfo</a>
                                </li>
                                <li>
                                    <a href="#tab_1_2" data-toggle="tab">@SYM.Localization.Resources.Views.Profile.Settings.ChangeAvatar</a>
                                </li>
                                <li>
                                    <a href="#tab_1_3" data-toggle="tab">@SYM.Localization.Resources.Views.Profile.Settings.ChangePassword</a>
                                </li>
                                @*<li>
                                        <a href="#tab_1_4" data-toggle="tab">Privacy Settings</a>
                                    </li>*@
                            </ul>
                        </div>
                        <div class="portlet-body">
                            <div class="tab-content">
                                <!-- PERSONAL INFO TAB -->
                                <div class="tab-pane active" id="tab_1_1">
                                    @Html.Partial("/Views/Profile/Partial/_EditAccount.cshtml", Model)
                                </div>
                                <!-- END PERSONAL INFO TAB -->
                                <!-- CHANGE AVATAR TAB -->
                                <div class="tab-pane" id="tab_1_2">
                                    @Html.Partial("/Views/Profile/Partial/_EditImage.cshtml")
                                </div>
                                <!-- END CHANGE AVATAR TAB -->
                                <!-- CHANGE PASSWORD TAB -->
                                <div class="tab-pane" id="tab_1_3">
                                    @Html.Partial("/Views/Profile/Partial/_EditPassword.cshtml", new SYM.WebApp.Models.ChangePasswordViewModel())
                                </div>
                                <!-- END CHANGE PASSWORD TAB -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END PROFILE CONTENT -->
    </div>
</div>

@section ExtraPluginJS{
    <script src="~/Content/themes/m1/assets/global/plugins/bootstrap-select/js/bootstrap-select.min.js" type="text/javascript"></script>
    <script src="~/Content/themes/m1/assets/global/plugins/bootstrap-fileinput/bootstrap-fileinput.js" type="text/javascript"></script>
}
@section ScriptOnReady {
    jQuery(document).ready(function () {

    //Initialize Select DropDown
    $('.select2me').select2();
    
    $.ajax({
            url: "/Profile/_Widget",
            type: "GET",
            dataType: "html",
            }).
            success(function (result) {
                $('#personal_widget').html(result);
            }).
            error(function (xhr, status) {
                console.log(status);
            });

    });

    MyApp.Select2Region('#region', '/api/autocomplete/GetRegion', 'Region...' );
    MyApp.Select2LookupSym('#city', '/api/autocomplete/GetCity', '#country', '#region');

    var ComponentsBootstrapSelect = function () {

        var handleBootstrapSelect = function () {
           $('.bs-select').selectpicker({
                iconBase: 'fa',
                tickIcon: 'fa-check',
                noneSelectedText: 'All Selected'
            });
        }

        return {
            //main function to initiate the module
            init: function () {
                handleBootstrapSelect();
            }
        };

    }();

    ComponentsBootstrapSelect.init();
}